*******************************************************************************
****** DO PER LA CREAZIONE DELLE VARIABILI PER L'ANALISI
****** DELLA SEZIONE DELLO SCREENING DEL COLONRETTO
****** VERSIONE DEL 27 APRILE 2015
********************************************************************************

*** Per il report di questa sezione  necessario creare una nuova variabile "claeta_colon"
*** in 2 categorie: "50-59" e ">=60"

gen claeta_colon=.
replace claeta_colon=1 if etarif>49 & etarif<60 & etarif!=.
replace claeta_colon=2 if etarif>59  & etarif!=.
label define  claeta_colon 1 "50-59 anni" 2 "60-69 anni"
label value claeta_colon claeta_colon

*****VARIABILI SPECIFICHE*****

gen so_col_eseg=.
replace so_col_eseg=1 if s10_so_col_eseg==1 
replace so_col_eseg=2 if s10_so_col_eseg==2 
replace so_col_eseg=3 if s10_so_col_eseg==3 
replace so_col_eseg=4 if s10_so_col_eseg==4 | s10_so_col_eseg==-99  
label define  so_col_eseg 1 "ricerca sangue occulto"  2 "colonoscopia" 3"tutti e due" 4"nessuno dei due"
label value so_col_eseg so_col_eseg


**** Creo due nuove variabili che contino complessivamente quelli che hanno fatto
**** la ricerca di sangue occulto almeno una volta nella vita "so_eseg" e quelli che hanno fatto
**** la colonoscopia almeno una volta nella vita "col_eseg"

gen so_eseg=.
replace so_eseg=1 if s10_so_col_eseg==1 | s10_so_col_eseg==3 
replace so_eseg=0 if s10_so_col_eseg==2 | s10_so_col_eseg==4 | s10_so_col_eseg==-99  
label define  so_eseg 1 "si" 0 "no"
label value so_eseg so_eseg


gen col_eseg=.
replace col_eseg=1 if s10_so_col_eseg==2 | s10_so_col_eseg==3 
replace col_eseg=0 if s10_so_col_eseg==1 | s10_so_col_eseg==4 | s10_so_col_eseg==-99  
label define  col_eseg 1 "si" 0 "no"
label value col_eseg col_eseg

** Genero una variabile che contenga l'informazione su quando  stata fatta l'ultima ricerca di sangue occulto
** "so_quando"

gen so_quando=.
replace so_quando=s10_so_col_quando if s10_so_col_eseg==1 
replace so_quando=s10_so_col_quando if s10_so_col_eseg==3 & s10_so_col_quale==1 

*Genero una variabile che contenga l'informazione su quando  stata fatta l'ultima colonscopia
gen col_quando=.
replace col_quando=s10_so_col_quando if s10_so_col_eseg==2
replace col_quando=s10_so_col_quando if s10_so_col_eseg==3 & s10_so_col_quale==2 

*** Generiamo una variabile che indichi la prevalenza delle persone che hanno effettuato la ricerca
*** del sangue occulto nelle feci secondo le Linee Guida (ultimi 2 anni).
 
gen so_llgg=.
replace so_llgg=1 if so_eseg==1 & (so_quando==1 | so_quando==2) 
replace so_llgg=0 if so_eseg==0 | (so_eseg==1 & (so_quando==3 | so_quando==4 | so_quando==5)) 
label define  so_llgg 1 "si" 0 "no"
label value so_llgg so_llgg

*** Generiamo una variabile che indichi la prevalenza delle persone che hanno effettuato una
*** colonscopia secondo le Linee Guida (negli ultimi 5 anni). 
gen col_llgg=.
replace col_llgg=1 if col_eseg==1 & (col_quando==1 | col_quando==2 | col_quando==3) 
replace col_llgg=0 if col_eseg==0 | (col_eseg==1 & (col_quando==4 | col_quando==5))  
label define  col_llgg 1 "si" 0 "no"
label value col_llgg col_llgg

**** generiamo una variabile per esaminare la copertura complessiva dello screening
**** del colon retto (sof+colonscopia entro i tempi previsti dalle linee guida)
gen so_col_llgg=.
replace so_col_llgg=1 if so_llgg==1 | col_llgg==1
replace so_col_llgg=0 if so_llgg==0 & col_llgg==0
label define  so_col_llgg 1 "si" 0 "no"
label value so_col_llgg so_col_llgg

*** Genero una variabile che dia informazioni sulla periodicit con cui  stata eseguita
*** la ricerca di sangue occulto. Per fare ci definisco la variabile categorica "so_periodicita". 

gen so_periodicita=.
replace so_periodicita=1 if so_quando==1 
replace so_periodicita=2 if so_quando==2 
replace so_periodicita=3 if so_quando==3 
replace so_periodicita=4 if so_quando==4 
replace so_periodicita=5 if so_quando==5 
replace so_periodicita=6 if so_eseg==0 
label define so_periodicita 1 "ultimo anno" 2"da 1 a 2 anni"  3"da 2 a 5 anni" 4"da 5 a 10 anni" 5"piu di 10 anni" 6"mai eseguito"
label value so_periodicita so_periodicita

*** Genero una variabile che dia informazioni sulla periodicit con cui  stata eseguita
*** la colonscopia. Per fare ci definisco la variabile categorica "col_periodicita". 

gen col_periodicita=.
replace col_periodicita=1 if col_quando==1 
replace col_periodicita=2 if col_quando==2 
replace col_periodicita=3 if col_quando==3 
replace col_periodicita=4 if col_quando==4 
replace col_periodicita=5 if col_quando==5 
replace col_periodicita=6 if col_eseg==0 
label define col_periodicita 1"ultimo anno" 2"da 1 a 2 anni"  3"da 2 a 5 anni" 4"da 5 a 10 anni" 5"piu di 10 anni" 6"mai eseguito"
label value col_periodicita col_periodicita

*** Definisco una nuova variabile che chiamo "so_col_lett" in cui il valore "yes" indica
*** che  stata ricevuta la lettera di invito della ASL.
tostring  s10_so_col_lett, replace
gen so_col_lett=.
replace so_col_lett=1 if s10_so_col_lett=="t"  
replace so_col_lett=0 if s10_so_col_lett=="f" 
label define  so_col_lett 1 "si" 0 "no"
label value so_col_lett so_col_lett

*** Definisco una nuova variabile che chiamo "so_col_cons" in cui il valore "yes" indica
*** che  stato ricevuto un consiglio da parte di un operatore sanitario.

gen so_col_cons=.
replace so_col_cons=1 if s10_so_col_cons==1 
replace so_col_cons=0 if s10_so_col_cons==2 | s10_so_col_cons==-99  
label define  so_col_cons 1 "si" 0 "no"
label value so_col_cons so_col_cons

*** Definisco una nuova variabile che chiamo "so_col_cons" in cui il valore "yes" indica
*** che  stato vista o sentita la campagna informativa sullo screening del colon retto.
gen so_col_camp=.
replace so_col_camp=1 if s10_so_col_camp==1 
replace so_col_camp=0 if  s10_so_col_camp==2 | s10_so_col_camp==-99 
label define  so_col_camp 1 "si" 0 "no"
label value so_col_camp so_col_camp

*** Definisco una variabile che indichi il numero di interventi (informativi a cui le persone sono state esposte

gen colon_numero_interventi=so_col_lett+so_col_cons+so_col_camp


*** Creo una variabile col_pagare3cat in tre categorie, per informazioni sul pagamento della colonoscopia

gen col_pagare3cat=.
replace col_pagare3cat=1 if s10_so_col_pagare==1 
replace col_pagare3cat=2 if s10_so_col_pagare==2 
replace col_pagare3cat=3 if s10_so_col_pagare==3 
label define  	col_pagare3cat 1"si ticket" 2"si costo totale" 3"no nessuna spesa"
label value col_pagare3cat col_pagare3cat

**** Creo una variabile "col_pagare2cat" in 2 categorie: "1_ha pagato", "2_non ha pagato",
**** per informazioni sul pagamento della colonoscopia

gen col_pagare2cat=.
replace col_pagare2cat=1 if s10_so_col_pagare==1 | s10_so_col_pagare==2 
replace col_pagare2cat=2 if s10_so_col_pagare==3
label define col_pagare2cat 1 "pagato" 2"non pagato"    
label value col_pagare2cat col_pagare2cat
 
*** Creo una variabile "so_pagare2cat" in 2 categorie: "1_ha pagato", "2_non ha pagato",
*** per informazioni sul pagamento per l'esame del sangue occulto

gen so_pagare2cat=.
replace so_pagare2cat=1 if s10_so_col_pagare==1 | s10_so_col_pagare==2     
replace so_pagare2cat=2 if s10_so_col_pagare==3
label define so_pagare2cat	1 "pagato" 2"non pagato"
label value so_pagare2cat so_pagare2cat

*** Creo anche una variabile so_pagare3cat in tre categorie, per informazioni sul pagamento
*** per l'esame del sangue occulto

gen so_pagare3cat=.
replace so_pagare3cat=1 if s10_so_col_pagare==1 
replace so_pagare3cat=2 if s10_so_col_pagare==2 
replace so_pagare3cat=3 if s10_so_col_pagare==3 
label define	so_pagare3cat 1"si ticket" 2"si costo totale" 3"no nessuna spesa"
label value so_pagare3cat so_pagare3cat

**** Definisco una variabile che indica il tipo di intervento

gen informazioni_colon=.
replace informazioni_colon=1 if s10_so_col_lett=="t" & (s10_so_col_cons==2 | s10_so_col_cons==-99) &  (s10_so_col_camp==2 | s10_so_col_camp==-99) 
replace informazioni_colon=2 if  s10_so_col_camp==1 &  (s10_so_col_lett=="f") &  (s10_so_col_cons==2 | s10_so_col_cons==-99) 
replace informazioni_colon=3 if  s10_so_col_cons==1 &  (s10_so_col_lett=="f") &  (s10_so_col_camp==2 | s10_so_col_camp==-99) 
replace informazioni_colon=4 if s10_so_col_lett=="t" &  s10_so_col_camp==1 & (s10_so_col_cons==2 | s10_so_col_cons==-99) 
replace informazioni_colon=5 if s10_so_col_lett=="t" &  s10_so_col_cons==1 &  (s10_so_col_camp==2 | s10_so_col_camp==-99) 
replace informazioni_colon=6 if s10_so_col_cons==1 &  s10_so_col_camp==1 &  (s10_so_col_lett=="f") 
replace informazioni_colon=7 if s10_so_col_lett=="t"  &  s10_so_col_camp==1 &  s10_so_col_cons==1 
replace informazioni_colon=8 if (s10_so_col_lett=="f") &  (s10_so_col_cons==2 | s10_so_col_cons==-99) &  (s10_so_col_camp==2 | s10_so_col_camp==-99) 
label define	informazioni_colon 1"solo lett" 2"solo camp" 3"solo cons" 4"lett+camp" 5"lett+cons" 6"camp+cons" 7"lett+camp+cons" 8 "nulla"
label value informazioni_colon informazioni_colon

**********************************************************************************

*** Costruisco le nuove variabili del questionario 2010-2014

gen so_eseg_2010=.
replace so_eseg_2010=1 if s10_so_eseg==1 
replace so_eseg_2010=0 if s10_so_eseg==2 | s10_so_eseg==-99 
label define  so_eseg_2010 1 "si" 0 "no"
label value so_eseg_2010 so_eseg_2010

gen so_llgg_2010=.
replace so_llgg_2010=1 if so_eseg_2010==1 & (s10_so_eseg_quando==1 | s10_so_eseg_quando==2) 
replace so_llgg_2010=0 if so_eseg_2010==0 | (so_eseg_2010==1 & s10_so_eseg_quando==3)
label define  so_llgg_2010 1 "si" 0 "no"
label value so_llgg_2010 so_llgg_2010

gen so_periodicita_2010=.
replace so_periodicita_2010=1 if s10_so_eseg_quando==1 
replace so_periodicita_2010=2 if s10_so_eseg_quando==2 
replace so_periodicita_2010=3 if s10_so_eseg_quando==3 
replace so_periodicita_2010=4 if s10_so_eseg==2 | s10_so_eseg==-99 
label define   so_periodicita_2010 1 "ultimi 12 mesi" 2 "tra 1 e 2 anni fa" 3"piu di due anni fa" 4 "mai eseguito"
label value so_periodicita_2010 so_periodicita_2010

gen so_lett_2010=.
replace so_lett_2010=1 if s10_so_lett==1 
replace so_lett_2010=0 if s10_so_lett==2 | s10_so_lett==-99 
label define  so_lett_2010 1 "si" 0 "no"
label value so_lett_2010 so_lett_2010

gen so_cons_2010=.
replace so_cons_2010=1 if s10_so_cons==1
replace so_cons_2010=0 if s10_so_cons==2 | s10_so_cons==-99 
label define  so_cons_2010 1 "si" 0 "no"
label value so_cons_2010 so_cons_2010

gen so_camp_2010=.
replace so_camp_2010=1 if s10_so_camp==1
replace so_camp_2010=0 if s10_so_camp==2 | s10_so_camp==-99 
label define  so_camp_2010 1 "si" 0 "no"
label value so_camp_2010 so_camp_2010

gen so_numero_interventi_2010=.
replace so_numero_interventi_2010=so_lett_2010+so_cons_2010+so_camp_2010 if anno >2009 & anno!=.

gen so_numero_interventi_2022=.
replace so_numero_interventi_2022=so_lett_2010+so_cons_2010 if anno >2009 & anno!=.

gen so_pagare3cat_2010=.
replace so_pagare3cat_2010=1 if s10_so_pagare==1 
replace so_pagare3cat_2010=2 if s10_so_pagare==2 
replace so_pagare3cat_2010=3 if s10_so_pagare==3 
label define so_pagare3cat_2010	1 "si ticket" 2"si costo totale" 3"no nessuna spesa"
label value so_pagare3cat_2010 so_pagare3cat_2010

gen so_pagare2cat_2010=.
replace so_pagare2cat_2010=1 if s10_so_pagare==1 | s10_so_pagare==2 
replace so_pagare2cat_2010=2 if s10_so_pagare==3 
label define so_pagare2cat_2010 1 "pagato" 2"non pagato"
label value so_pagare2cat_2010 so_pagare2cat_2010

drop no_so_motivo_2010
label drop no_so_motivo_2010
gen no_so_motivo_2010=.
replace no_so_motivo_2010=1 if s10_no_so_motivo==1 
replace no_so_motivo_2010=2 if s10_no_so_motivo==2 
replace no_so_motivo_2010=3 if s10_no_so_motivo==3 
replace no_so_motivo_2010=4 if s10_no_so_motivo==4 
replace no_so_motivo_2010=5 if s10_no_so_motivo==5 | s10_no_so_motivo==12 
replace no_so_motivo_2010=6 if s10_no_so_motivo==6 
replace no_so_motivo_2010=7 if s10_no_so_motivo==7 
replace no_so_motivo_2010=8 if s10_no_so_motivo==8 
replace no_so_motivo_2010=9 if s10_no_so_motivo==9
replace no_so_motivo_2010=10 if s10_no_so_motivo==10 
replace no_so_motivo_2010=11 if s10_no_so_motivo==11 
replace no_so_motivo_2010=13 if s10_no_so_motivo==13 
replace no_so_motivo_2010=14 if s10_no_so_motivo==14 
replace no_so_motivo_2010=15 if s10_no_so_motivo==15 
replace no_so_motivo_2010=-99 if s10_no_so_motivo==-99  
label define no_so_motivo_2010	1 "1 penso non averne bisogno" 2"2 mi sento imbarazzato" 3"3 nessuno consigliato" 4"4 paura risultati esame" ///
5"5-12 difficile prendere contatti ASL" 6"6 fastidioso/doloroso" 7"7 gia operato/altri motivi sanitari" 8"8 altro" 9"9 pigrizia" 10"10 non avuto tempo" ///
11"11 gi fatto/mi  hanno consigliato di fare la colon/rettosigmoidoscopia" 13"13 sede/data/orario non andavano bene" ///
14"14 no convocazione" 15"15 ambulatorio chiuso causa COVID" -99"-99 non so/non ricordo" 
label value no_so_motivo_2010 no_so_motivo_2010

gen col_eseg_2010=.
replace col_eseg_2010=1 if s10_col_eseg==1 
replace col_eseg_2010=0 if s10_col_eseg==2 | s10_col_eseg==-99 
label define  col_eseg_2010 1 "si" 0 "no"
label value col_eseg_2010 col_eseg_2010

gen col_llgg_2010=.
replace col_llgg_2010=1 if col_eseg_2010==1 & (s10_col_eseg_quando==1 | s10_col_eseg_quando==2) 
replace col_llgg_2010=0 if col_eseg_2010==0 | (col_eseg_2010==1 & (s10_col_eseg_quando==3 | s10_col_eseg_quando==4)) 
label define  col_llgg_2010 1 "si" 0 "no"
label value col_llgg_2010 col_llgg_2010

gen so_col_llgg_2010=.
replace so_col_llgg_2010=1 if so_llgg_2010==1 | col_llgg_2010==1 
replace so_col_llgg_2010=0 if so_llgg_2010==0 & col_llgg_2010==0
label define  so_col_llgg_2010 1 "si" 0 "no"
label value so_col_llgg_2010 so_col_llgg_2010

gen col_periodicita_2010=.
replace col_periodicita_2010=1 if s10_col_eseg_quando==1 
replace col_periodicita_2010=2 if s10_col_eseg_quando==2 
replace col_periodicita_2010=3 if s10_col_eseg_quando==3 
replace col_periodicita_2010=4 if s10_col_eseg_quando==4 
replace col_periodicita_2010=5 if s10_col_eseg==2 | s10_col_eseg==-99 
label define col_periodicita_2010 1"negli ultimi 12 mesi"	2"tra 1 e 5 anni fa" 3"tra 5 e 10 anni fa"	4"piu di 10 anni fa" 5 "mai eseguita"
label value col_periodicita_2010 col_periodicita_2010

gen col_pagare3cat_2010=. 
replace col_pagare3cat_2010=1 if s10_col_pagare==1 
replace col_pagare3cat_2010=2 if s10_col_pagare==2 
replace col_pagare3cat_2010=3 if s10_col_pagare==3 
label define col_pagare3cat_2010 1"si ticket" 2"si costo totale" 3"no nessuna spesa"
label value col_pagare3cat_2010 col_pagare3cat_2010

gen col_pagare2cat_2010=.
replace col_pagare2cat_2010=1 if s10_col_pagare==1 | s10_col_pagare==2 
replace col_pagare2cat_2010=2 if s10_col_pagare==3 
label define col_pagare2cat_2010 1 "pagato" 2"non pagato"	
label value  col_pagare2cat_2010 col_pagare2cat_2010

*Definisco una variabile che indica il tipo di intervento

gen informazioni_colon_2010=.
replace informazioni_colon_2010=1 if s10_so_lett==1 &  (s10_so_cons==2 | s10_so_cons==-99) & (s10_so_camp==2 | s10_so_camp==-99) 
replace informazioni_colon_2010=2 if  s10_so_camp==1 & (s10_so_lett==2 | s10_so_lett==-99) & (s10_so_cons==2 | s10_so_cons==-99) 
replace informazioni_colon_2010=3 if  s10_so_cons==1 &  (s10_so_lett==2 | s10_so_lett==-99) &  (s10_so_camp==2 | s10_so_camp==-99) 
replace informazioni_colon_2010=4 if s10_so_lett==1 &  s10_so_camp==1 &  (s10_so_cons==2 | s10_so_cons==-99) 
replace informazioni_colon_2010=5 if s10_so_lett==1 & s10_so_cons==1 & (s10_so_camp==2 | s10_so_camp==-99) 
replace informazioni_colon_2010=6 if s10_so_cons==1  & s10_so_camp==1  & (s10_so_lett==2 | s10_so_lett==-99) 
replace informazioni_colon_2010=7 if s10_so_lett==1  & s10_so_camp==1 & s10_so_cons==1 
replace informazioni_colon_2010=8 if (s10_so_lett==2 | s10_so_lett==-99)  & (s10_so_cons==2 | s10_so_cons==-99) & (s10_so_camp==2 | s10_so_camp==-99) 
label define informazioni_colon_2010 1"solo lett" 2"solo camp" 3"solo cons" 4"lett+camp" 5"lett+cons" 6"camp+cons" 7"lett+camp+cons" 8"nulla"
label value informazioni_colon_2010 informazioni_colon_2010

gen informazioni_colon_2022=.
replace informazioni_colon_2022=1 if s10_so_lett==1 &  (s10_so_cons==2 | s10_so_cons==-99)
replace informazioni_colon_2022=2 if s10_so_cons==1 &  (s10_so_lett==2 | s10_so_lett==-99) 
replace informazioni_colon_2022=3 if s10_so_lett==1 & s10_so_cons==1  
replace informazioni_colon_2022=4 if (s10_so_lett==2 | s10_so_lett==-99)  & (s10_so_cons==2 | s10_so_cons==-99)  
label define informazioni_colon_2022 1"solo lett" 2"solo cons" 3"lett+cons" 4"nulla"
label value informazioni_colon_2022 informazioni_colon_2022

*** Per l'ananalisi su pi anni  necessario creare nuove variabili che uniscano quelle
*** della prima versione del questionario con quelle dell'ultima

gen so_col_llgg_tot=so_col_llgg_2010 if client>8  & client!=.
replace so_col_llgg_tot=so_col_llgg if client<9  & client!=.
label define so_col_llgg_tot 1 "si" 0 "no"
label value so_col_llgg_tot so_col_llgg_tot

gen so_llgg_tot=so_llgg_2010 if client>8  & client!=.
replace so_llgg_tot=so_llgg if client<9  & client!=.
label define so_llgg_tot 1 "si" 0 "no"
label value so_llgg_tot so_llgg_tot

gen col_llgg_tot=col_llgg_2010 if client>8  & client!=.
replace col_llgg_tot=col_llgg if client<9 & client!=.
label define col_llgg_tot 1 "si" 0 "no"
label value col_llgg_tot col_llgg_tot


*** Le variabili sulla periodicit, sia per il so che per il col, sono leggermente diverse
*** nei due questionari. Riallineo la vecchia alla nuova variabile.

gen so_periodicita_mod=.
replace so_periodicita_mod=1 if so_periodicita==1
replace so_periodicita_mod=2 if so_periodicita==2
replace so_periodicita_mod=3 if so_periodicita==3 | so_periodicita==4 | so_periodicita==5 
replace so_periodicita_mod=4 if so_periodicita==6
label define so_periodicita_mod 1"negli ultimi 12 mesi"	2"tra 1 e 2 anni fa" 3"piu di due anni fa" 4"mai eseguito"
label value so_periodicita_mod so_periodicita_mod

gen col_periodicita_mod=.
replace col_periodicita_mod=1 if col_periodicita==1
replace col_periodicita_mod=2 if col_periodicita==2 | col_periodicita==3
replace col_periodicita_mod=3 if col_periodicita==4  
replace col_periodicita_mod=4 if col_periodicita==5
replace col_periodicita_mod=5 if col_periodicita==6
label define col_periodicita_mod 1"negli ultimi 12 mesi" 2"tra 1 e 5 anni fa" 3"tra 5 e 10 anni fa" 4"piu di 10 anni fa" 5 "mai eseguita"
label value col_periodicita_mod col_periodicita_mod

gen so_periodicita_tot=so_periodicita_2010 if client>8  & client!=.
replace so_periodicita_tot=so_periodicita_mod if client<9 & client!=.
label define so_periodicita_tot 1"negli ultimi 12 mesi"	2"tra 1 e 2 anni fa" 3"piu di due anni fa" 4"mai eseguito"
label value so_periodicita_tot so_periodicita_tot


gen col_periodicita_tot=col_periodicita_2010 if client>8  & client!=.
replace col_periodicita_tot=col_periodicita_mod if client <9 & client!=.
label define col_periodicita_tot 1"negli ultimi 12 mesi" 2"tra 1 e 5 anni fa" 3"tra 5 e 10 anni fa" 4"piu di 10 anni fa" 5 "mai eseguita"
label value col_periodicita_tot col_periodicita_tot

**************************************************

gen so_pagare2cat_tot=so_pagare2cat_2010 if client>8  & client!=.
replace so_pagare2cat_tot=so_pagare2cat if client <9 & client!=.
label define so_pagare2cat_tot 1 "pagato" 2"non pagato"
label value so_pagare2cat_tot so_pagare2cat_tot

gen so_pagare3cat_tot=so_pagare3cat_2010 if client>8  & client!=.
replace so_pagare3cat_tot=so_pagare3cat if client<9 & client!=.
label define so_pagare3cat_tot	1 "si ticket" 2"si costo totale" 3"no nessuna spesa"
label value so_pagare3cat_tot so_pagare3cat_tot


**************************************************

gen  col_pagare2cat_tot=col_pagare2cat_2010 if client>8  & client!=.
replace col_pagare2cat_tot=col_pagare2cat if client<9 & client!=.
label define col_pagare2cat_tot 1 "pagato" 2"non pagato"
label value col_pagare2cat_tot col_pagare2cat_tot

gen col_pagare3cat_tot=col_pagare3cat_2010 if client>8  & client!=.
replace col_pagare3cat_tot=col_pagare3cat if client<9 & client!=.
label define col_pagare3cat_tot	1 "si ticket" 2"si costo totale" 3"no nessuna spesa"
label value col_pagare3cat_tot col_pagare3cat_tot



****** Definisco una variabile che mi dice il numero di interventi - 2010-2018 (lettera + consiglio)
gen so_numero_interventi_2018=.
replace so_numero_interventi_2018=so_lett_2010+so_cons_2010 if anno>=2010 & anno!=.

**** Definisco una variabile che indica il tipo di intervento - valida 2010-2018

gen informazioni_colon_2018=.
replace informazioni_colon_2018=1 if so_lett_2010==1 & so_cons_2010==0
replace informazioni_colon_2018=2 if so_lett_2010==0 & so_cons_2010==1
replace informazioni_colon_2018=3 if so_lett_2010==1 & so_cons_2010==1
replace informazioni_colon_2018=4 if so_lett_2010==0 & so_cons_2010==0
label define informazioni_colon_2018 1 "solo lett" 2 "solo cons" 3 "lett+cons" 4 "nulla"
label value informazioni_colon_2018 informazioni_colon_2018

**** Variabile categoria per numero di interventi - 2010-2018 (lettera + consiglio)

gen so_interventi_3cat_2018=.
replace so_interventi_3cat_2018=1 if so_numero_interventi_2018==0
replace so_interventi_3cat_2018=2 if so_numero_interventi_2018==1
replace so_interventi_3cat_2018=3 if so_numero_interventi_2018==2
label define so_interventi_3cat_2018 1"nessun intervento" 2"un intervento" 3"tutti gli interventi"
label value so_interventi_3cat_2018 so_interventi_3cat_2018

************************************************** 

******** Esecuzione degli esami all'interno o al di fuori dei programmi di screening organizzati

*************** Variabili questionario 2008-2009

****** Creo la variabile che definisce le persone che hanno aderito allo screening 
****** nell'ambito di un programma di screening organizzato

gen col_aso=1 if col_llgg==1 & col_pagare2cat==2
replace col_aso=0 if (col_llgg==1 & col_pagare2cat==1) | col_llgg==0
replace col_aso=. if client>8  & client!=.

****** Creo la variabile che definisce le persone che hanno aderito allo screening spontaneamente

gen col_ass=1 if col_llgg==1 & col_pagare2cat==1
replace col_ass=0 if (col_llgg==1 & col_pagare2cat==2) | col_llgg==0
replace col_ass=. if client>8  & client!=.

****** Creo la variabile che definisce le persone che hanno aderito allo screening 
****** nell'ambito di un programma di screening organizzato

gen so_aso=1 if so_llgg==1 & so_pagare2cat==2
replace so_aso=0 if (so_llgg==1 & so_pagare2cat==1) | so_llgg==0
replace so_aso=. if client>8  & client!=.

****** Creo la variabile che definisce le persone che hanno aderito allo screening 
****** nell'ambito di un programma di screening organizzato

gen so_ass=1 if so_llgg==1 & so_pagare2cat==1
replace so_ass=0 if (so_llgg==1 & so_pagare2cat==2) | so_llgg==0
replace so_ass=. if client>8  & client!=.

****************** Variabili questionario 2010-2014

****** Creo la variabile che definisce le persone che hanno aderito allo screening 
****** nell'ambito di un programma di screening organizzato

gen so_aso_2010=1 if so_llgg_2010==1 & so_pagare2cat_2010==2
replace so_aso_2010=0 if (so_llgg_2010==1 & so_pagare2cat_2010==1) | so_llgg_2010==0
replace so_aso_2010=. if client<9  & client!=.

****** Creo la variabile che definisce le persone che hanno aderito allo screening spontaneamente

gen so_ass_2010=.
replace so_ass_2010=1 if so_llgg_2010==1 & so_pagare2cat_2010==1
replace so_ass_2010=0 if (so_llgg_2010==1 & so_pagare2cat_2010==2) | so_llgg_2010==0
replace so_ass_2010=. if client<9  & client!=.

****** Creo la variabile che definisce le persone che hanno aderito allo screening 
****** nell'ambito di un programma di screening organizzato
****** corretto l'11 luglio 2014

gen col_aso_2010=1 if col_llgg_2010==1 & col_pagare2cat_2010==2
replace col_aso_2010=0 if (col_llgg_2010==1 & col_pagare2cat_2010==1) | col_llgg_2010==0
replace col_aso_2010=. if client<9  & client!=.

****** Creo la variabile che definisce le persone che hanno aderito allo screening spontaneamente
****** corretto l'11 luglio 2014

gen col_ass_2010=1 if col_llgg_2010==1 & col_pagare2cat_2010==1
replace col_ass_2010=0 if (col_llgg_2010==1 & col_pagare2cat_2010==2) | col_llgg_2010==0
replace col_ass_2010=. if client<9  & client!=.

************** Variabili complessive 2008-2014

gen so_aso_tot=so_aso_2010 if client>8  & client!=.
replace so_aso_tot=so_aso if client<9  & client!=.
label define so_aso_tot 1 "si" 0 "no"
label value so_aso_tot so_aso_tot

gen so_ass_tot=so_ass_2010 if client>8  & client!=.
replace so_ass_tot=so_ass if client<9  & client!=.
label define so_ass_tot 1 "si" 0 "no"
label value so_ass_tot so_ass_tot

gen col_aso_tot=col_aso_2010 if client>8  & client!=.
replace col_aso_tot=col_aso if client<9  & client!=.
label define col_aso_tot 1 "si" 0 "no"
label value col_aso_tot col_aso_tot

gen col_ass_tot=col_ass_2010 if client>8  & client!=.
replace col_ass_tot=col_ass if client<9  & client!=.
label define col_ass_tot 1 "si" 0 "no"
label value col_ass_tot col_ass_tot

*************************************************************************************

************** Variabili complessive 2008-2009

****** Creo la variabile che definisce le persone che hanno aderito allo screening
****** nell'ambito di un programma di screening organizzato

gen so_col_aso=.
replace so_col_aso=1 if so_col_llgg==1 & s10_so_col_pagare==3
replace so_col_aso=0 if (so_col_llgg==1 & (s10_so_col_pagare==1 | s10_so_col_pagare==2)) | so_col_llgg==0
replace so_col_aso=. if client>8  & client!=.


****** Creo la variabile che definisce le persone che hanno aderito allo screening spontaneamente

gen so_col_ass=.
replace so_col_ass=1 if so_col_llgg==1 & (s10_so_col_pagare==1 | s10_so_col_pagare==2)
replace so_col_ass=0 if (so_col_llgg==1 & s10_so_col_pagare==3) | so_col_llgg==0
replace so_col_ass=. if client>8  & client!=.

******************************************************************************************

************** Variabili complessive 2010-2014

**** creo una variabile che definisce se l'esame per la prevenzione colorettale
****  stato fatto all'interno dei programmi di screening organizzato
**** ( stato deciso che nel caso in cui sono stati fatti entrmbi gli esami
**** nelle linee guida vince l'esame gratuito, in caso di non corrispondenza)
gen so_col_aso_2010=.

**** SI': ricerca del sangue occulto nelle linee guida gratuita OPPURE 
**** colonscopia nelle linee guida gratuita
replace so_col_aso_2010=1 if (so_llgg_2010==1 & so_aso_2010==1) | (col_llgg_2010==1 & col_aso_2010==1)

**** NO: ricerca del sangue occulto non nelle linee guida E colonscopia nelle linee guida a pagamento
replace so_col_aso_2010=0 if so_llgg_2010==0 & (col_llgg_2010==1 & col_aso_2010==0)

**** NO: ricerca del sangue occulto nelle linee guida a pagamento E colonscopia non nelle linee guida 
replace so_col_aso_2010=0 if (so_llgg_2010==1 & so_aso_2010==0) & col_llgg_2010==0

**** NO: ricerca del sangue occulto nelle linee guida a pagamento E 
**** colonscopia nelle linee guida a pagamento
replace so_col_aso_2010=0 if (so_llgg_2010==1 & so_aso_2010==0) & (col_llgg_2010==1 & col_aso_2010==0)

**** Missing: ricerca del sangue occulto nelle linee guida a pagamento E 
**** colonscopia nelle linee guida ma  missing/non so l'informazione sul pagamento
replace so_col_aso_2010=. if (so_llgg_2010==1 & so_aso_2010==0) & (col_llgg_2010==1 & col_aso_2010==.)

**** Missing: ricerca del sangue occulto nelle linee guida a pagamento E 
**** colonscopia missing/non so
replace so_col_aso_2010=. if (so_llgg_2010==1 & so_aso_2010==0) & (col_llgg_2010==.)

**** Missing: ricerca del sangue occulto nelle linee guida ma  missing/non so l'informazione sul pagamento E 
**** colonscopia nelle linee guida a pagamento
replace so_col_aso_2010=. if (so_llgg_2010==1 & so_aso_2010==.) & (col_llgg_2010==1 & col_aso_2010==0)

**** Missing: ricerca del sangue occulto missing/non so E 
**** colonscopia nelle linee guida a pagamento
replace so_col_aso_2010=. if (so_llgg_2010==.) & (col_llgg_2010==1 & col_aso_2010==0)

**** NO: ricerca del sangue occulto non nelle linee guida E colonscopia non nelle linee guida
replace so_col_aso_2010=0 if so_col_llgg_2010==0

**** Missing: il pagamento della ricerca del sangue occulto  missing E 
**** il pagamento della colonscopia  missing
replace so_col_aso_2010=. if so_aso_2010==. & col_aso_2010==.


**** creo una variabile che definisce se l'esame per la prevenzione colorettale
****  stato fatto al di fuori dei programmi di screening organizzato
**** ( stato deciso che nel caso in cui sono stati fatti entrmbi gli esami
**** nelle linee guida vince l'esame gratuito, in caso di non corrispondenza)

gen so_col_ass_2010=.

**** SI': ricerca del sangue occulto nelle linee guida e a pagamento E
**** colonscopia nelle linee guida e a pagamento
replace so_col_ass_2010=1 if (so_llgg_2010==1 & so_ass_2010==1) & (col_llgg_2010==1 & col_ass_2010==1)

**** SI': no ricerca del sangue occulto nelle linee guida e a pagamento E
**** colonscopia nelle linee guida e a pagamento
replace so_col_ass_2010=1 if so_llgg_2010==0 & (col_llgg_2010==1 & col_ass_2010==1)
**** SI': ricerca del sangue occulto nelle linee guida e a pagamento E
**** colonscopia non nelle linee guida
replace so_col_ass_2010=1 if (so_llgg_2010==1 & so_ass_2010==1) & col_llgg_2010==0

**** NO: ricerca del sangue occulto nelle linee guida gratuito OPPURE
**** colonscopia nelle linee guida gratuito
replace so_col_ass_2010=0 if (so_llgg_2010==1 & so_ass_2010==0) | (col_llgg_2010==1 & col_ass_2010==0)

**** Missing: ricerca del sangue occulto nelle linee guida a pagamento E
**** colonscopia nelle linee guida ma  missing/non so l'informazione sul pagamento
replace so_col_ass_2010=. if (so_llgg_2010==1 & so_ass_2010==1) & (col_llgg_2010==1 & col_ass_2010==.)

**** Missing: ricerca del sangue occulto nelle linee guida ma  missing/non so l'informazione sul pagamento E
**** colonscopia nelle linee guida a pagamento
replace so_col_ass_2010=. if (so_llgg_2010==1 & so_ass_2010==.) & (col_llgg_2010==1 & col_ass_2010==1)

**** Missing: ricerca del sangue occulto nelle linee guida a pagamento E
**** colonscopia missing/non so
replace so_col_ass_2010=. if (so_llgg_2010==1 & so_ass_2010==1) & col_llgg_2010==.
**** Missing: ricerca del sangue occulto missing/non so E
**** colonscopia nelle linee guida a pagamento 
replace so_col_ass_2010=. if so_llgg_2010==. & (col_llgg_2010==1 & col_ass_2010==1)

**** NO: ricerca del sangue occulto non nelle linee guida E colonscopia non nelle linee guida
replace so_col_ass_2010=0 if so_col_llgg_2010==0
**** Missing: il pagamento della ricerca del sangue occulto  missing E 
**** il pagamento della colonscopia  missing
replace so_col_ass_2010=. if so_ass_2010==. & col_ass_2010==.

************** Variabili complessive 2008-2014

gen so_col_aso_tot=so_col_aso_2010 if client>8  & client!=.
replace so_col_aso_tot= so_col_aso if client<9  & client!=.
label define so_col_aso_tot 1 "si" 0 "no"
label value so_col_aso_tot so_col_aso_tot


gen so_col_ass_tot=so_col_ass_2010 if client>8  & client!=.
replace so_col_ass_tot= so_col_ass if client<9  & client!=.
label define so_col_ass_tot 1 "si" 0 "no"
label value so_col_ass_tot so_col_ass_tot

************************************************************************************

*************** GESTIONE DEL DIVERSO PROTOCOLLO DEL PIEMONTE

*********************** QUESTIONARIO 2008-2009

**** definisco una variabile che mi dice chi ha fatto o una ricerca del sangue occulto
**** o una colonscopia/rettosigmoidoscopia nelle linee guida secondo. Questa variabile
**** tiene conto del diverso protocollo di screening del Pimenote

gen so_col_llgg_Piemonte_0809=so_col_llgg
replace so_col_llgg_Piemonte_0809=. if regione==10
replace so_col_llgg_Piemonte_0809=1 if regione==10 & etarif>58 & (so_llgg==1 | col_eseg==1)
replace so_col_llgg_Piemonte_0809=0 if regione==10 & etarif>58 & (so_llgg==0 & col_eseg==0)

label value so_col_llgg_Piemonte_0809 so_col_ass_tot

**** creo una variabile che mi dice chi ha eseguito una ricerca 
**** del sangue occulto nelle feci a scopo preventivo
**** si tiene conto del diverso protocollo di screening del Pimenote

gen so_eseg_Piemonte_0809=so_eseg

** togle dal donominatore i piemontesi che non hanno fatto una ricerca del
** sangue occulto ma hanno fatto una colonscopia
replace so_eseg_Piemonte_0809=. if regione==10 & col_eseg==1 & so_eseg==0

label value so_eseg_Piemonte_0809 so_col_ass_tot

**** definisco una variabile che mi dice chi ha fatto una ricerca del sangue occulto
**** nelle linee guida. Questa variabile tiene conto del diverso protocollo di screening 
**** del Pimenote

gen so_llgg_Piemonte_0809=so_llgg
replace so_llgg_Piemonte_0809=. if regione==10
replace so_llgg_Piemonte_0809=1 if regione==10 & etarif>58 & so_llgg==1
replace so_llgg_Piemonte_0809=0 if regione==10 & etarif>58 & so_llgg==0
*** toglie dal denominatore i piemontesi che non hanno eseguito una ricerca del sangue
*** occulto nelle linee guida ma hanno fatto una colonscopia/rettosigmoidoscopia
replace so_llgg_Piemonte_0809=. if regione==10 & col_eseg==1 & so_llgg==0

label value so_llgg_Piemonte_0809 so_col_ass_tot


***** definisco una varibile che mi indica chi ha fatto una ricerca del sangue occulto
***** nelle linee guida senza aver pagato (ha aderito allo screening)

gen so_aso_Piemonte_0809=.
replace so_aso_Piemonte_0809=1 if so_llgg_Piemonte_0809==1 & so_pagare2cat==2
replace so_aso_Piemonte_0809=0 if (so_llgg_Piemonte_0809==1 & so_pagare2cat==1) | so_llgg_Piemonte_0809==0

label value so_aso_Piemonte_0809 so_col_ass_tot

****** Creo la variabile che definisce le persone che hanno aderito allo screening spontaneamente

gen so_ass_Piemonte_0809=.
replace so_ass_Piemonte_0809=1 if so_llgg_Piemonte_0809==1 & so_pagare2cat==1
replace so_ass_Piemonte_0809=0 if (so_llgg_Piemonte_0809==1 & so_pagare2cat==2) | so_llgg_Piemonte_0809==0

label value so_ass_Piemonte_0809 so_col_ass_tot

**** definisco una variabile che mi dice chi ha fatto una 
**** colonscopia/rettosigmoidoscopia nelle linee guida secondo. 
**** Questa variabile tiene conto del diverso protocollo di screening 
**** del Pimenote

gen col_llgg_Piemonte_0809=col_llgg
replace col_llgg_Piemonte_0809=. if regione==10
replace col_llgg_Piemonte_0809=1 if regione==10 & etarif>58 & col_eseg==1
replace col_llgg_Piemonte_0809=0 if regione==10 & etarif>58 & col_eseg==0

label value col_llgg_Piemonte_0809 so_col_ass_tot

****** Creo la variabile che definisce le persone che hanno aderito 
****** allo screening nell'ambito di un programma di screening organizzato
****** algoritmo che tiene conto del diverso protocollo del Piemonte

gen col_aso_Piemonte_0809=.
replace col_aso_Piemonte=1 if col_llgg_Piemonte_0809==1 & col_pagare2cat==2
replace col_aso_Piemonte_0809=0 if (col_llgg_Piemonte_0809==1 & col_pagare2cat==1) | col_llgg_Piemonte_0809==0

label value col_aso_Piemonte_0809 so_col_ass_tot

****** Creo la variabile che definisce le persone che hanno aderito 
****** allo screening spontaneamente algoritmo che tiene conto
****** del diverso protocollo del Piemonte

gen col_ass_Piemonte_0809=.
replace col_ass_Piemonte_0809=1 if col_llgg_Piemonte_0809==1 & col_pagare2cat==1
replace col_ass_Piemonte_0809=0 if (col_llgg_Piemonte_0809==1 & col_pagare2cat==2) | col_llgg_Piemonte_0809==0

label value col_ass_Piemonte_0809 so_col_ass_tot

****** Creo la variabile che definisce le persone che hanno aderito allo screening
****** nell'ambito di un programma di screening organizzato
****** sintassi cambiata LS (pgm non gestiva bene i non so nel pagare)

gen so_col_aso_Piemonte_0809=.
replace so_col_aso_Piemonte_0809=1 if so_col_llgg_Piemonte_0809==1 & s10_so_col_pagare==3
replace so_col_aso_Piemonte_0809=0 if (so_col_llgg_Piemonte_0809==1 & (s10_so_col_pagare==1 | s10_so_col_pagare==2))  | so_col_llgg_Piemonte==0

label value so_col_aso_Piemonte_0809 so_col_ass_tot

****** Creo la variabile che definisce le persone che hanno aderito allo screening spontaneamente
****** sintassi cambiata LS (pgm non gestiva bene i non so nel pagare)

gen so_col_ass_Piemonte_0809=.
replace so_col_ass_Piemonte_0809=1 if so_col_llgg_Piemonte_0809==1 & (s10_so_col_pagare==1 | s10_so_col_pagare==2)
replace so_col_ass_Piemonte_0809=0 if (so_col_llgg_Piemonte_0809==1 & s10_so_col_pagare==3)  | so_col_llgg_Piemonte_0809==0

label value so_col_ass_Piemonte_0809 so_col_ass_tot

********************************************************************************

*********************** QUESTIONARIO 2010-2014

******* Variabili SANGUE OCCULTO - PIEMONTE - 2010-2014

**** creo una variabile che mi dice chi ha eseguito una ricerca 
**** del sangue occulto nelle feci a scopo preventivo
**** si tiene conto del diverso protocollo di screening del Piemonte

gen so_eseg_Piemonte=1 if s10_so_eseg==1
replace so_eseg_Piemonte=0 if s10_so_eseg==2 | s10_so_eseg==-99

** togle dal donominatore i piemontesi che non hanno fatto una ricerca del
** sangue occulto ma hanno fatto una colonscopia
replace so_eseg_Piemonte=. if regione==10 & col_eseg_2010==1 & (s10_so_eseg==2 | s10_so_eseg==-99)

label value so_eseg_Piemonte so_col_ass_tot

**** definisco una variabile che mi dice chi ha fatto una ricerca del sangue occulto
**** nelle linee guida. Questa variabile tiene conto del diverso protocollo di screening 
**** del Pimenote

gen so_llgg_Piemonte=so_llgg_2010
replace so_llgg_Piemonte=. if regione==10
replace so_llgg_Piemonte=1 if regione==10 & etarif>58 & so_llgg_2010==1
replace so_llgg_Piemonte=0 if regione==10 & etarif>58 & so_llgg_2010==0
*** toglie dal denominatore i piemontesi che non hanno eseguito una ricerca del sangue
*** occulto nelle linee guida ma hanno fatto una colonscopia/rettosigmoidoscopia
replace so_llgg_Piemonte=. if regione==10 & col_eseg_2010==1 & so_llgg_2010==0

label value so_llgg_Piemonte so_col_ass_tot

***** definisco una varibile che mi indica chi ha fatto una ricerca del sangue occulto
***** nelle linee guida senza aver pagato (ha aderito allo screening)

gen so_aso_Piemonte=.
replace so_aso_Piemonte=1 if so_llgg_Piemonte==1 & s10_so_pagare==3
replace so_aso_Piemonte=0 if (so_llgg_Piemonte==1 & (s10_so_pagare==1 | s10_so_pagare==2)) | so_llgg_Piemonte==0

label value so_aso_Piemonte so_col_ass_tot


****** Creo la variabile che definisce le persone che hanno aderito allo screening spontaneamente

gen so_ass_Piemonte=.
replace so_ass_Piemonte=1 if so_llgg_Piemonte==1 & (s10_so_pagare==1 | s10_so_pagare==2)
replace so_ass_Piemonte=0 if (so_llgg_Piemonte==1 & s10_so_pagare==3) | so_llgg_Piemonte==0

label value so_ass_Piemonte so_col_ass_tot


**** creo una variabile che mi dice la periodicit con cui  stata eseguita la ricerca 
**** del sangue occulto nelle feci a scopo preventivo

gen so_periodicita_Piemonte=.
replace so_periodicita_Piemonte=1 if s10_so_eseg_quando==1
replace so_periodicita_Piemonte=2 if s10_so_eseg_quando==2
replace so_periodicita_Piemonte=3 if s10_so_eseg_quando==3
replace so_periodicita_Piemonte=4 if s10_so_eseg==2 | s10_so_eseg==-99
replace so_periodicita_Piemonte=. if regione==10 & etarif<=58
replace so_periodicita_Piemonte=. if regione==10 & col_eseg_2010==1 & so_llgg_2010==0

label define so_periodicita_Piemonte 1 "negli ultimi 12 mesi" 2 "tra 1 e 2 anni fa" 3 "pi di 2 anni fa" 4 "mai eseguito"
label value so_periodicita_Piemonte so_periodicita_Piemonte


******* Variabili COLONSCOPIA - PIEMONTE - 2010-2014

**** definisco una variabile che mi dice chi ha fatto una 
**** colonscopia/rettosigmoidoscopia nelle linee guida secondo. 
**** Questa variabile tiene conto del diverso protocollo di screening 
**** del Pimenote

gen col_llgg_Piemonte=col_llgg_2010
replace col_llgg_Piemonte=. if regione==10
replace col_llgg_Piemonte=1 if regione==10 & etarif>58 & col_eseg_2010==1
replace col_llgg_Piemonte=0 if regione==10 & etarif>58 & col_eseg_2010==0

label value col_llgg_Piemonte so_col_ass_tot

****** Creo la variabile che definisce le persone che hanno aderito 
****** allo screening nell'ambito di un programma di screening organizzato
****** algoritmo che tiene conto del diverso protocollo del Piemonte

gen col_aso_Piemonte=.
replace col_aso_Piemonte=1 if col_llgg_Piemonte==1 & s10_col_pagare==3
replace col_aso_Piemonte=0 if (col_llgg_Piemonte==1 & (s10_col_pagare==1 | s10_col_pagare==2)) | col_llgg_Piemonte==0

label value col_aso_Piemonte so_col_ass_tot

****** Creo la variabile che definisce le persone che hanno aderito 
****** allo screening spontaneamente algoritmo che tiene conto
****** del diverso protocollo del Piemonte

gen col_ass_Piemonte=.
replace col_ass_Piemonte=1 if col_llgg_Piemonte==1 & (s10_col_pagare==1 | s10_col_pagare==2)
replace col_ass_Piemonte=0 if (col_llgg_Piemonte==1 & s10_col_pagare==3) | col_llgg_Piemonte==0

label value col_ass_Piemonte so_col_ass_tot

**********************************************************************************

******* Variabili SANGUE OCCULTO + COLONSCOPIA - PIEMONTE - 2010-2014

**** definisco una variabile che mi dice chi ha fatto o una ricerca del sangue occulto
**** o una colonscopia/rettosigmoidoscopia nelle linee guida secondo. Questa variabile
**** tiene conto del diverso protocollo di screening del Pimenote

gen so_col_llgg_Piemonte=so_col_llgg_2010
replace so_col_llgg_Piemonte=. if regione==10
replace so_col_llgg_Piemonte=1 if regione==10 & etarif>58 & (so_llgg_2010==1 | col_eseg_2010==1)
replace so_col_llgg_Piemonte=0 if regione==10 & etarif>58 & (so_llgg_2010==0 & col_eseg_2010==0)

label value so_col_llgg_Piemonte so_col_ass_tot

**** creo una variabile che definisce se l'esame per la prevenzione colorettale
****  stato fatto all'interno dei programmi di screening organizzato
**** ( stato deciso che nel caso in cui sono stati fatti entrambi gli esami
**** nelle linee guida vince l'esame gratuito, in caso di non corrispondenza)

gen so_col_aso_Piemonte=.

**** SI': ricerca del sangue occulto nelle linee guida gratuita OPPURE 
**** colonscopia nelle linee guida gratuita
replace so_col_aso_Piemonte=1 if (so_llgg_Piemonte==1 & so_aso_Piemonte==1) | (col_llgg_Piemonte==1 & col_aso_Piemonte==1)

**** NO: ricerca del sangue occulto non nelle linee guida E colonscopia nelle linee guida a pagamento
replace so_col_aso_Piemonte=0 if so_llgg_Piemonte==0 & (col_llgg_Piemonte==1 & col_aso_Piemonte==0)

**** NO: ricerca del sangue occulto nelle linee guida a pagamento E colonscopia non nelle linee guida 
replace so_col_aso_Piemonte=0 if (so_llgg_Piemonte==1 & so_aso_Piemonte==0) & col_llgg_Piemonte==0

**** NO: ricerca del sangue occulto nelle linee guida a pagamento E 
**** colonscopia nelle linee guida a pagamento
replace so_col_aso_Piemonte=0 if (so_llgg_Piemonte==1 & so_aso_Piemonte==0) & (col_llgg_Piemonte==1 & col_aso_Piemonte==0)

**** Missing: ricerca del sangue occulto nelle linee guida a pagamento E 
**** colonscopia nelle linee guida ma  missing/non so l'informazione sul pagamento
replace so_col_aso_Piemonte=. if (so_llgg_Piemonte==1 & so_aso_Piemonte==0) & (col_llgg_Piemonte==1 & col_aso_Piemonte==.)

**** Missing: ricerca del sangue occulto nelle linee guida a pagamento E 
**** colonscopia missing/non so
replace so_col_aso_Piemonte=. if (so_llgg_Piemonte==1 & so_aso_Piemonte==0) & (col_llgg_Piemonte==.)

**** Missing: ricerca del sangue occulto nelle linee guida ma  missing/non so l'informazione sul pagamento E 
**** colonscopia nelle linee guida a pagamento
replace so_col_aso_Piemonte=. if (so_llgg_Piemonte==1 & so_aso_Piemonte==.) & (col_llgg_Piemonte==1 & col_aso_Piemonte==0)

**** Missing: ricerca del sangue occulto missing/non so E 
**** colonscopia nelle linee guida a pagamento
replace so_col_aso_Piemonte=. if (so_llgg_Piemonte==.) & (col_llgg_Piemonte==1 & col_aso_Piemonte==0)

**********************

**** sintassi per Piemonte (correzione del 18 agosto)

*** gestisce la situazione per i piemontesi che non hanno eseguito una ricerca del sangue
*** occulto nelle linee guida ma hanno fatto una colonscopia/rettosigmoidoscopia
*** esclusi dal denominatore per la definizione di so_llgg_Piemonte perch fatta una
*** colonscopia/rettosigmoidoscopia nella vita
replace so_col_aso_Piemonte=1 if regione==10 & col_llgg_Piemonte==1 & so_llgg_Piemonte==. & col_aso_Piemonte==1
replace so_col_aso_Piemonte=0 if regione==10 & col_llgg_Piemonte==1 & so_llgg_Piemonte==. & col_aso_Piemonte==0

************************

**** NO: ricerca del sangue occulto non nelle linee guida E colonscopia non nelle linee guida
replace so_col_aso_Piemonte=0 if so_col_llgg_Piemonte==0

**** Missing: il pagamento della ricerca del sangue occulto  missing E 
**** il pagamento della colonscopia  missing
replace so_col_aso_Piemonte=. if so_aso_Piemonte==. & col_aso_Piemonte==.

label value so_col_aso_Piemonte so_col_ass_tot

***********************
***********************

**** creo una variabile che definisce se l'esame per la prevenzione colorettale
****  stato fatto al di fuori dei programmi di screening organizzato
**** ( stato deciso che nel caso in cui sono stati fatti entrmbi gli esami
**** nelle linee guida vince l'esame gratuito, in caso di non corrispondenza)

gen so_col_ass_Piemonte=.

**** SI': ricerca del sangue occulto nelle linee guida e a pagamento E
**** colonscopia nelle linee guida e a pagamento
replace so_col_ass_Piemonte=1 if (so_llgg_Piemonte==1 & so_ass_Piemonte==1) & (col_llgg_Piemonte==1 & col_ass_Piemonte==1)

**** SI': no ricerca del sangue occulto nelle linee guida E
**** colonscopia nelle linee guida, a pagamento
replace so_col_ass_Piemonte=1 if so_llgg_Piemonte==0 & (col_llgg_Piemonte==1 & col_ass_Piemonte==1)

**** SI': ricerca del sangue occulto nelle linee guida, a pagamento E
**** colonscopia non nelle linee guida
replace so_col_ass_Piemonte=1 if (so_llgg_Piemonte==1 & so_ass_Piemonte==1) & col_llgg_Piemonte==0

**** NO: ricerca del sangue occulto nelle linee guida gratuito OPPURE
**** colonscopia nelle linee guida gratuito
replace so_col_ass_Piemonte=0 if (so_llgg_Piemonte==1 & so_ass_Piemonte==0) | (col_llgg_Piemonte==1 & col_ass_Piemonte==0)

**** Missing: ricerca del sangue occulto nelle linee guida a pagamento E
**** colonscopia nelle linee guida ma  missing/non so l'informazione sul pagamento
replace so_col_ass_Piemonte=. if (so_llgg_Piemonte==1 & so_ass_Piemonte==1) & (col_llgg_Piemonte==1 & col_ass_Piemonte==.)

**** Missing: ricerca del sangue occulto nelle linee guida ma  missing/non so l'informazione sul pagamento E
**** colonscopia nelle linee guida a pagamento
replace so_col_ass_Piemonte=. if (so_llgg_Piemonte==1 & so_ass_Piemonte==.) & (col_llgg_Piemonte==1 & col_ass_Piemonte==1)

**** Missing: ricerca del sangue occulto nelle linee guida a pagamento E
**** colonscopia missing/non so
replace so_col_ass_Piemonte=. if (so_llgg_Piemonte==1 & so_ass_Piemonte==1) & col_llgg_Piemonte==.

**** Missing: ricerca del sangue occulto missing/non so E
**** colonscopia nelle linee guida a pagamento 
replace so_col_ass_Piemonte=. if so_llgg_Piemonte==. & (col_llgg_Piemonte==1 & col_ass_Piemonte==1)

**********************

**** sintassi per Piemonte (correzione del 18 agosto)

*** gestisce la situazione per i piemontesi che non hanno eseguito una ricerca del sangue
*** occulto nelle linee guida ma hanno fatto una colonscopia/rettosigmoidoscopia
*** esclusi dal denominatore per la definizione di so_llgg_Piemonte perch fatta una
*** colonscopia/rettosigmoidoscopia nella vita
replace so_col_ass_Piemonte=1 if regione==10 & col_llgg_Piemonte==1 & so_llgg_Piemonte==. & col_ass_Piemonte==1
replace so_col_ass_Piemonte=0 if regione==10 & col_llgg_Piemonte==1 & so_llgg_Piemonte==. & col_ass_Piemonte==0

************************

**** NO: ricerca del sangue occulto non nelle linee guida E colonscopia non nelle linee guida
replace so_col_ass_Piemonte=0 if so_col_llgg_Piemonte==0
**** Missing: il pagamento della ricerca del sangue occulto  missing E 
**** il pagamento della colonscopia  missing
replace so_col_ass_Piemonte=. if so_ass_Piemonte==. & col_ass_Piemonte==.

label value so_col_ass_Piemonte so_col_ass_tot

************************

gen so_eseg_Piemonte_tot=so_eseg_Piemonte_0809 if client<=8
replace so_eseg_Piemonte_tot=so_eseg_Piemonte if client>=9

label value so_eseg_Piemonte_tot so_col_ass_tot

gen so_llgg_Piemonte_tot=so_llgg_Piemonte_0809 if client<=8
replace so_llgg_Piemonte_tot=so_llgg_Piemonte if client>=9

label value so_llgg_Piemonte_tot so_col_ass_tot

gen so_aso_Piemonte_tot=so_aso_Piemonte_0809 if client<=8
replace so_aso_Piemonte_tot=so_aso_Piemonte if client>=9

label value so_aso_Piemonte_tot so_col_ass_tot

gen so_ass_Piemonte_tot=so_ass_Piemonte_0809 if client<=8
replace so_ass_Piemonte_tot=so_ass_Piemonte if client>=9
label value so_ass_Piemonte_tot so_col_ass_tot

gen col_llgg_Piemonte_tot=col_llgg_Piemonte_0809 if client<=8
replace col_llgg_Piemonte_tot=col_llgg_Piemonte if client>=9
label value col_llgg_Piemonte_tot so_col_ass_tot

gen col_aso_Piemonte_tot=col_aso_Piemonte_0809 if client<=8
replace col_aso_Piemonte_tot=col_aso_Piemonte if client>=9
label value col_aso_Piemonte_tot so_col_ass_tot

gen col_ass_Piemonte_tot=col_ass_Piemonte_0809 if client<=8
replace col_ass_Piemonte_tot=col_ass_Piemonte if client>=9
label value col_ass_Piemonte_tot so_col_ass_tot

gen so_col_llgg_Piemonte_tot=so_col_llgg_Piemonte_0809 if client<=8
replace so_col_llgg_Piemonte_tot=so_col_llgg_Piemonte if client>=9
label value so_col_llgg_Piemonte_tot so_col_ass_tot

gen so_col_aso_Piemonte_tot=so_col_aso_Piemonte_0809 if client<=8
replace so_col_aso_Piemonte_tot=so_col_aso_Piemonte if client>=9
label value so_col_aso_Piemonte_tot so_col_ass_tot

gen so_col_ass_Piemonte_tot=so_col_ass_Piemonte_0809 if client<=8
replace so_col_ass_Piemonte_tot=so_col_ass_Piemonte if client>=9
label value so_col_ass_Piemonte_tot so_col_ass_tot

************************************************************************************
************************************************************************************

************* VARIABILI LETIZIA/MODENA

**** creo una variabile che mi dice la periodicit con cui  stata eseguita la ricerca 
**** del sangue occulto nelle feci a scopo preventivo (3 categorie)

gen so_periodicita3_2010=.
replace so_periodicita3_2010=1 if s10_so_eseg_quando==1 | s10_so_eseg_quando==2
replace so_periodicita3_2010=2 if s10_so_eseg_quando==3
replace so_periodicita3_2010=3 if s10_so_eseg==2 | s10_so_eseg==-99

label define so_periodicita3_2010 1 "ultimi 2 anni" 2 "pi di 2 anni fa" 3 "mai eseguito"
label value so_periodicita3_2010 so_periodicita3_2010

**** creo una variabile che mi indica le persone che hanno eseguito 
**** una ricerca del sangue occulto a scopo preventivo PIU' DI 2 ANNI FA

recode so_periodicita3_2010 (2 = 1 "si") (1 3 = 0 "no") (. = .), gen(so_2piu_2010)

**** creo una variabile che mi indica le persone che non hanno MAI eseguito 
**** una ricerca del sangue occulto a scopo preventivo

recode so_periodicita3_2010 (3 = 1 "si") (1 2 = 0 "no") (. = .), gen(so_mai_2010)

******************************************************************************

gen sof_positiva=.
replace sof_positiva=1 if s10_sof_positiva==1
replace sof_positiva=0 if s10_sof_positiva==2 | s10_sof_positiva==-99
label define sof_positiva 1 "1 si" 0 "0 no"
label value sof_positiva sof_positiva



**** Regioni con/senza programmi di screening organizzati e funzionanti
**** (lettera ASL > 50%) (variabile che tiene conto della % di lettere 
**** per il periodo 2015-2018: so_lett_2010)

gen proxy_colon_1619=.
replace proxy_colon_1619=1 if regione==20 | regione==30 | regione==41 | regione==42 | regione==50 | regione==60 | regione==70 | regione==80 | regione==90 | regione==100 | regione==110 |  regione==120 |regione==140 | regione==170 | regione==200 
replace proxy_colon_1619=0 if  regione==10 | regione==130 |  regione==150 | regione==160  |  regione==180 | regione==190 
label define proxy_colon_1619 1"screening organizzato" 0"screening non organizzato"
label value proxy_colon_1619 proxy_colon_1619

****** metto tutte le variabili della sessione missing se l'intervistato ha
****** meno di 50 anni
 
foreach var of varlist  so_col_eseg-proxy_colon_1619{
 replace `var'=. if etarif<50
}


