******************************************************************
*  Programma per il rapporto sulla sicurezza stradale
*******************************************************************

***** definisco le variabili specifiche per l'analisi
***** chi usa la cintura anteriore sempre
gen  cintantsempre=.
replace cintantsempre=1 if s06_cintura_ant==1 
replace cintantsempre=0 if s06_cintura_ant==2 | s06_cintura_ant==3 | s06_cintura_ant==4 
replace cintantsempre=.	if s06_cintura_ant==5 | s06_cintura_ant==6 
label define cintantsempre  1 "1 si" 0 "0 no"
label value cintantsempre cintantsempre

***** chi usa la cintura posteriore sempre
gen  cintpostsempre=.
replace cintpostsempre=1 if s06_cintura_post==1 
replace cintpostsempre=0 if s06_cintura_post==2 | s06_cintura_post==3 | s06_cintura_post==4 
replace cintpostsempre=. if s06_cintura_post==5 
label define cintpostsempre  1 "1 si" 0 "0 no"
label value cintpostsempre cintpostsempre

***** chi usa il casco sempre
gen  cascosempre=.
replace cascosempre=1 if s06_casco==1 
replace cascosempre=0 if s06_casco==2 | s06_casco==3 | s06_casco==4   
label define cascosempre  1 "1 si" 0 "0 no"
label value cascosempre cascosempre
	

****analisi sui dispositivi di sicurezza***
*** Creo una nuova variabile per valutare le difficolt d'uso dei SRB, che esclude i genitori che non vanno mai in auto col bambino e i non so/non ricordo
gen difficolta_uso=.
replace difficolta_uso=1 if s14_difficolta_uso==1
replace difficolta_uso=2 if s14_difficolta_uso==2
replace difficolta_uso=3 if s14_difficolta_uso==3
replace difficolta_uso=4 if s14_difficolta_uso==4
replace difficolta_uso=5 if s14_difficolta_uso==5
label define difficolta_uso 1"1 nessuna difficolta" 2"2 qualche difficolta" 3"3 molte difficolta" 4"4 non ho il seggiolino" 5"5 non uso il seggiolino"
label values difficolta_uso difficolta_uso

*** Creo la stessa variabile di prima in due categorie
gen difficolta_uso_2cat=.
replace difficolta_uso_2cat=0 if s14_difficolta_uso==1
replace difficolta_uso_2cat=1 if s14_difficolta_uso==2
replace difficolta_uso_2cat=1 if s14_difficolta_uso==3
replace difficolta_uso_2cat=1 if s14_difficolta_uso==4
replace difficolta_uso_2cat=1 if s14_difficolta_uso==5
label define difficolta_uso_2cat 0"no" 1"si"
label values difficolta_uso_2cat difficolta_uso_2cat

*** Creo la variabile per valutare l'esposizione alle campagne informative sui SRB
gen sentito_camp_dispositivi=.
replace sentito_camp_dispositivi=0 if s14_sentito_camp_dispositivi==2
replace sentito_camp_dispositivi=1 if s14_sentito_camp_dispositivi==1
label define sentito_camp_dispositivi 0"0 no" 1"1 si"
label value sentito_camp_dispositivi sentito_camp_dispositivi

***Creo la variabile claeta_bambino
gen claeta_bambino=.
replace claeta_bambino=0 if s14_anni_bamb_piu_piccolo==0 | s14_anni_bamb_piu_piccolo_mo==0
replace claeta_bambino=1 if s14_anni_bamb_piu_piccolo==1 | s14_anni_bamb_piu_piccolo_mo==1
replace claeta_bambino=2 if s14_anni_bamb_piu_piccolo==2 | s14_anni_bamb_piu_piccolo_mo==2
replace claeta_bambino=3 if s14_anni_bamb_piu_piccolo==3 | s14_anni_bamb_piu_piccolo_mo==3
replace claeta_bambino=4 if s14_anni_bamb_piu_piccolo==4 | s14_anni_bamb_piu_piccolo_mo==4
replace claeta_bambino=5 if s14_anni_bamb_piu_piccolo==5 | s14_anni_bamb_piu_piccolo_mo==5
replace claeta_bambino=6 if s14_anni_bamb_piu_piccolo==6 | s14_anni_bamb_piu_piccolo_mo==6

gen claeta_bambino_2cat=.
replace claeta_bambino_2cat=1 if s14_anni_bamb_piu_piccolo==0 | s14_anni_bamb_piu_piccolo_mo==0
replace claeta_bambino_2cat=1 if s14_anni_bamb_piu_piccolo==1 | s14_anni_bamb_piu_piccolo_mo==1
replace claeta_bambino_2cat=2 if s14_anni_bamb_piu_piccolo==2 | s14_anni_bamb_piu_piccolo_mo==2
replace claeta_bambino_2cat=2 if s14_anni_bamb_piu_piccolo==3 | s14_anni_bamb_piu_piccolo_mo==3
replace claeta_bambino_2cat=2 if s14_anni_bamb_piu_piccolo==4 | s14_anni_bamb_piu_piccolo_mo==4
replace claeta_bambino_2cat=2 if s14_anni_bamb_piu_piccolo==5 | s14_anni_bamb_piu_piccolo_mo==5
replace claeta_bambino_2cat=2 if s14_anni_bamb_piu_piccolo==6 | s14_anni_bamb_piu_piccolo_mo==6
label define claeta_bambino_2cat 1"1 0-1 anni" 2"2 2-6 anni"
label values claeta_bambino_2cat claeta_bambino_2cat

gen claeta_bambino_3cat=.
replace claeta_bambino_3cat=1 if s14_anni_bamb_piu_piccolo==0 | s14_anni_bamb_piu_piccolo_mo==0
replace claeta_bambino_3cat=1 if s14_anni_bamb_piu_piccolo==1 | s14_anni_bamb_piu_piccolo_mo==1
replace claeta_bambino_3cat=1 if s14_anni_bamb_piu_piccolo==2 | s14_anni_bamb_piu_piccolo_mo==2
replace claeta_bambino_3cat=2 if s14_anni_bamb_piu_piccolo==3 | s14_anni_bamb_piu_piccolo_mo==3
replace claeta_bambino_3cat=2 if s14_anni_bamb_piu_piccolo==4 | s14_anni_bamb_piu_piccolo_mo==4
replace claeta_bambino_3cat=3 if s14_anni_bamb_piu_piccolo==5 | s14_anni_bamb_piu_piccolo_mo==5
replace claeta_bambino_3cat=3 if s14_anni_bamb_piu_piccolo==6 | s14_anni_bamb_piu_piccolo_mo==6
label define claeta_bambino_3cat 1"1 0-2 anni" 2"2 3-4 anni" 3"3 5-6 anni"
label values claeta_bambino_3cat claeta_bambino_3cat

***Creo la variabile claeta2
gen claeta2=.
replace claeta2=1 if etarif >17 & etarif<35
replace claeta2=2 if etarif >34 & etarif<70
label define claeta2 1"1 18-34 anni" 2"2 35-69 anni"
label values claeta2 claeta2

