
***variabili lavoro

**** definisco la variabile lavoro a 3 livelli

gen lavoro=.
replace lavoro=1 if s02_lavoro==1 
replace lavoro=2 if s02_lavoro==2 
replace lavoro=3 if s02_lavoro==3 
label define lavoro 1"1 continuativo" 2"2 non continuativo" 3"3 non lavoro"
label value  lavoro lavoro

**** definisco la nuova variabile lavoro a 2 livelli:

gen lavoro2cat=.
replace lavoro2cat=1 if s02_lavoro==1 
replace lavoro2cat=2 if s02_lavoro==2 | s02_lavoro==3 
label define lavoro2cat 1  "1 si" 2 "2 no/non continuativo"
label value  lavoro2cat lavoro2cat 

gen lavoro2cat_bis=.
replace lavoro2cat_bis=1 if s02_lavoro==1 | s02_lavoro==2
replace lavoro2cat_bis=2 if s02_lavoro==3 
label define lavoro2cat_bis 1  "1 occupato continuativo e non" 2 "2 non lavoro"
label value  lavoro2cat_bis lavoro2cat_bis 


*****metto missing tutti quelli che hanno et superiore ai 65 anni
gen lavoro2cat_bis1865=.
replace lavoro2cat_bis1865=1 if s02_lavoro==1 | s02_lavoro==2
replace lavoro2cat_bis1865=2 if s02_lavoro==3 
replace lavoro2cat_bis1865=. if etarif>65
label define lavoro2cat_bis1865 1  "1 occupato continuativo e non" 2 "2 non lavoro"
label value  lavoro2cat_bis1865 lavoro2cat_bis1865 

gen lavoro2cat_bis_inv=.
replace lavoro2cat_bis_inv=1 if lavoro2cat_bis==2
replace lavoro2cat_bis_inv=2 if lavoro2cat_bis==1
label define lavoro2cat_bis_inv 1 "1 non lavoro" 2 "2 occupato continuativo e non"
label value lavoro2cat_bis_inv lavoro2cat_bis_inv 



***genero la variabile stato_lav sullo stato occupazionale (variabile disponibile dal 2014) 
gen stato_lav_2014=s14_occupato
label define stato_lav_2014 1"1 occupato" 2"2 in cerca occupazione" 3"3 inattivo"
label values stato_lav_2014 stato_lav_2014

*****metto missing tutti quelli che hanno et superiore ai 65 anni
gen stato_lav_2014_1865=s14_occupato
replace stato_lav_2014_1865=. if etarif>65
label define stato_lav_2014_1865 1"1 occupato" 2"2 in cerca occupazione" 3"3 inattivo"
label values stato_lav_2014_1865 stato_lav_2014_1865

gen disoccupato_come=s14_disoccupato_come
label define disoccupato_come 1"1 disoccupato" 2"2 in cerca prima occupazione"
label value disoccupato_come disoccupato_come

gen inattivo_come=s14_inattivo_come
label define inattivo_come 1"1 casalinga" 2"2 studente/tirocinante non pagato" 3"3 pensionato da lavoro e non" 4"4 inabile al lavoro (senza pensione" ///
5"5 servizio civile o volontariato" 6"6 benestante/vive di rendita"
label value inattivo_come inattivo_come

***creo la variabile condiz_profess_2014

gen condiz_profess_2014=.
replace condiz_profess_2014=1 if s14_occupato==1
replace condiz_profess_2014=2 if s14_occupato==2 & s14_disoccupato_come==1
replace condiz_profess_2014=3 if s14_occupato==2 & s14_disoccupato_come==2
replace condiz_profess_2014=4 if s14_occupato==3 & s14_inattivo_come==1
replace condiz_profess_2014=5 if s14_occupato==3 & s14_inattivo_come==2
replace condiz_profess_2014=6 if s14_occupato==3 & s14_inattivo_come==3
replace condiz_profess_2014=7 if s14_occupato==3 & s14_inattivo_come==4
replace condiz_profess_2014=8 if s14_occupato==3 & s14_inattivo_come==5
replace condiz_profess_2014=9 if s14_occupato==3 & s14_inattivo_come==6
label define condiz_profess_2014 1"1 occupato" 2"2 disoccupato in cerca occupazione" 3"3 disoccupato in cerca prima occupazione" ///
4"4 casalinga" 5"5 studente/tirocinante non pagato" 6"6 pensionato da lavoro e non" 7"7 inabile al lavoro (senza pensione" ///
8"8 servizio civile o volontariato" 9"9 benestante/vive di rendita"
label value condiz_profess_2014 condiz_profess_2014

***a partire dalla domanda a 9 risposte sulla condizione professionale, presente nel
***questionario del 2013, costruisco la variabile stato_lav_2013
gen stato_lav_2013=.
replace stato_lav_2013=1 if s14_condiz_profess==1
replace stato_lav_2013=1 if s14_condiz_profess==2
replace stato_lav_2013=2 if s14_condiz_profess==3
replace stato_lav_2013=2 if s14_condiz_profess==5
replace stato_lav_2013=3 if s14_condiz_profess==4
replace stato_lav_2013=3 if s14_condiz_profess==6
replace stato_lav_2013=3 if s14_condiz_profess==7
replace stato_lav_2013=3 if s14_condiz_profess==8
replace stato_lav_2013=3 if s14_condiz_profess==9
label define stato_lav_2013 1"1 occupato" 2"2 in cerca occupazione" 3"3 inattivo"
label values stato_lav_2013 stato_lav_2013

***costruisco la variabile condiz_profess_2013 a 8 categorie
gen condiz_profess_2013=.
replace condiz_profess_2013=1 if s14_condiz_profess==1
replace condiz_profess_2013=1 if s14_condiz_profess==2
replace condiz_profess_2013=2 if s14_condiz_profess==3
replace condiz_profess_2013=3 if s14_condiz_profess==5
replace condiz_profess_2013=4 if s14_condiz_profess==4
replace condiz_profess_2013=5 if s14_condiz_profess==6
replace condiz_profess_2013=6 if s14_condiz_profess==7
replace condiz_profess_2013=7 if s14_condiz_profess==8
replace condiz_profess_2013=8 if s14_condiz_profess==9
label define condiz_profess_2013 1"1 occupato" 2"2 disoccupato" 3"3 in cerca prima occupazione" 4"4 pensionato" ///
5 "5 studente" 6"6 casalinga" 7"7 inabile al lavoro" 8"8 in altra condizione"
label values condiz_profess_2013 condiz_profess_2013

*******************************************

gen tipo_contratto=s14_tipo_contratto
label define tipo_contratto 1"dipendente" 2"cassa integr/solidarieta" 3"autonomo" 4"atipico"
label value tipo_contratto tipo_contratto

gen tempo_contratto=s14_tempo_contratto
label define tempo_contratto 1"1 indeterminato" 2"2 determinato"
label value tempo_contratto tempo_contratto

gen autonomo_come=s14_autonomo_come
label define autonomo_come 1"1 imprenditore" 2"2 libero professionista" 3"3 lavoratore in proprio" ///
4"4 coadiuvante azienda familiare" 5"5 socio di cooperativa non alle dipendenze"
label value autonomo_come autonomo_come

gen contratto_tutto=.
replace contratto_tutto=1 if s14_tipo_contratto==1 & s14_tempo_contratto==1
replace contratto_tutto=2 if s14_tipo_contratto==1 & s14_tempo_contratto==2
replace contratto_tutto=3 if s14_tipo_contratto==2
replace contratto_tutto=4 if s14_tipo_contratto==3 & s14_autonomo_come==1
replace contratto_tutto=5 if s14_tipo_contratto==3 & s14_autonomo_come==2
replace contratto_tutto=6 if s14_tipo_contratto==3 & s14_autonomo_come==3
replace contratto_tutto=7 if s14_tipo_contratto==3 & s14_autonomo_come==4
replace contratto_tutto=8 if s14_tipo_contratto==3 & s14_autonomo_come==5
replace contratto_tutto=9 if s14_tipo_contratto==4
label define contratto_tutto 1"1 dipendente - tempo indeterminato" 2"2 dipendente - tempo determinato" 3"3 cassa integrazione/contratto solidarieta" ///
4"4 autonomo - imprenditore" 5"5 autonomo - libero professionista" 6"6 autonomo - lavoratore in proprio" ///
7"7 autonomo - coadiuvante azienda familiare" 8"8 autonomo - socio di cooperativa non alle dipendenze" ///
9"9 atipico"
label value contratto_tutto contratto_tutto

*genero la variabile mansione
gen mansione=s14_codifica_mansione
label define mansione 1"1 imprenditori, alta dirigenza, legislatori" 2"2 professioni intellettuali, scientifiche e di elevata specializzazione" ///
3"3 professioni tecniche" 4"4 professioni esecutive nel lavoro di ufficio" 5"5 professioni qualificate nelle attivit commerciali e nei servizi" ///
6"6 artigiani, operai specializzati e agricoltori" 7"7 conduttori di impianti, operai di macchinari e conducenti di veicoli" ///
8"8 professioni non qualificate" 9"9 forze armate"
label values mansione mansione

*genero la variabile settore
gen settore=.
replace settore=1 if s14_codifica_settore==1
replace settore=2 if s14_codifica_industria==1
replace settore=3 if s14_codifica_industria==2
replace settore=4 if s14_codifica_industria==3
replace settore=5 if s14_codifica_industria==4
replace settore=6 if s14_codifica_industria==5
replace settore=7 if s14_codifica_industria==6
replace settore=8 if s14_codifica_industria==7
replace settore=9 if s14_codifica_settore==3
replace settore=10 if s14_codifica_settore==4
replace settore=11 if s14_codifica_settore==5
replace settore=12 if s14_codifica_settore==6
replace settore=13 if s14_codifica_settore==7
replace settore=14 if s14_codifica_settore==8
replace settore=15 if s14_codifica_settore==9
replace settore=16 if s14_codifica_settore==10
replace settore=17 if s14_codifica_settore==11
replace settore=18 if s14_codifica_settore==12
replace settore=19 if s14_codifica_settore==13
label define settore 1"1 agricoltura" 2"2 ind. alimentare" 3"3 ind. metalmeccanica" 4"4 ind. elettrico-elettronico" ///
5"5 ind. tessile abbigliamento" 6"6 ind. chimica e ceramica" 7"7 ind. legno e carta" 8"8 ind. altre manufatturiere" ///
9"9 edilizia" 10"10 energia, gas, acqua, telefonia" 11"11 commercio e pubblici esercizi" 12"12 trasporti" ///
13"13 banche e assicurazioni" 14"14 scuola e univerista" 15"15 sanita" 16"16 pubblica amministrazione" ///
17"17 servizi alle imprese" 18"18 servizi alle persone" 19"19 forze ordine/militari"
label values settore settore

*genero la variabile settore in cui l'industria  accorpata in un'unica modalit
gen settore_ind_unica=.
replace settore_ind_unica=1 if s14_codifica_settore==1
replace settore_ind_unica=2 if s14_codifica_industria==1
replace settore_ind_unica=2 if s14_codifica_industria==2
replace settore_ind_unica=2 if s14_codifica_industria==3
replace settore_ind_unica=2 if s14_codifica_industria==4
replace settore_ind_unica=2 if s14_codifica_industria==5
replace settore_ind_unica=2 if s14_codifica_industria==6
replace settore_ind_unica=2 if s14_codifica_industria==7
replace settore_ind_unica=3 if s14_codifica_settore==3
replace settore_ind_unica=4 if s14_codifica_settore==4
replace settore_ind_unica=5 if s14_codifica_settore==5
replace settore_ind_unica=6 if s14_codifica_settore==6
replace settore_ind_unica=7 if s14_codifica_settore==7
replace settore_ind_unica=8 if s14_codifica_settore==8
replace settore_ind_unica=9 if s14_codifica_settore==9
replace settore_ind_unica=10 if s14_codifica_settore==10
replace settore_ind_unica=11 if s14_codifica_settore==11
replace settore_ind_unica=12 if s14_codifica_settore==12
replace settore_ind_unica=13 if s14_codifica_settore==13
label define settore_ind_unica 1"1 agricoltura" 2"2 industria" 3"3 edilizia" 4"4 energia, gas, acqua, telefonia" 5"5 commercio e pubblici esercizi" 6"6 trasporti" 7"7 banche e assicurazioni" 8"8 scuola e univerista"  9"9 sanita" 10"10 pubblica amministrazione" 11"11 servizi alle imprese" 12"12 servizi alle persone"  13"13 forze ordine/militari"
label values settore_ind_unica settore_ind_unica

destring s14_prob_perdita_lav, replace

gen prob_perd_lav=.
replace prob_perd_lav=1 if s14_prob_perdita_lav==1
replace prob_perd_lav=2 if s14_prob_perdita_lav==2
replace prob_perd_lav=3 if s14_prob_perdita_lav==3
replace prob_perd_lav=4 if s14_prob_perdita_lav==4
replace prob_perd_lav=5 if s14_prob_perdita_lav==-99
label define prob_perd_lav 1"1 molto" 2"2 abbastanza" 3"3 poco" 4"4 per niente" 5"5 non so"
label values prob_perd_lav prob_perd_lav

gen prob_perd_lav_2cat=.
replace prob_perd_lav_2cat=1 if s14_prob_perdita_lav==1
replace prob_perd_lav_2cat=1 if s14_prob_perdita_lav==2
replace prob_perd_lav_2cat=0 if s14_prob_perdita_lav==3
replace prob_perd_lav_2cat=0 if s14_prob_perdita_lav==4
label define prob_perd_lav_2cat 1"1 molto/abbastanza" 0" 0 poco/per niente"
label values prob_perd_lav_2cat prob_perd_lav_2cat

/*

*******************************************************************

